添加 / 编辑辅料
POST
/erp/sc/routing/storage/product/setAux接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/product/setAux | HTTPS | POST | 1 |
请求参数
skustring必填product_duty_uidsarray<integer>product_namestring必填cg_pricenumbercg_product_lengthnumbercg_product_widthnumbercg_product_heightnumbercg_product_net_weightnumbersupplier_quotearray<object>隐藏子属性
erp_supplier_idintegersupplier_idintegersupplier_product_urlarray<any>is_primaryintegerquotesarray<object>隐藏子属性
currencystringis_taxintegertax_rateintegerstep_pricesarray<object>隐藏子属性
moqintegerprice_with_taxnumberremarkstring必填请求示例
{
"sku": "AUX11111",
"product_name": "AUX11111",
"cg_price": "",
"cg_product_length": "",
"cg_product_width": "",
"cg_product_height": "",
"cg_product_net_weight": "",
"supplier_quote": [{
"erp_supplier_id": 1,
"supplier_id": 0,
"supplier_product_url": [],
"quote_remark": "",
"is_primary": 1,
"quotes": [{
"currency": "CNY",
"is_tax": 0,
"tax_rate": 0,
"step_prices": [{
"moq": 0,
"price_with_tax": 0
}]
}]
}],
"remark": "备注"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
product_idinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "CCF38623-DE1A-004F-0961-90A6AF265013",
"response_time": "2021-11-11 11:14:33",
"data": {
"product_id": 1010
}
}
返回失败示例
{
"code": 500,
"message": "内部错误",
"error_details": "is_primary不能为空 [请求码:4B70FE]",
"request_id": "D00AB182-BC9B-4859-854E-BEFCE2C1411C",
"response_time": "2021-11-11 11:01:13",
"data": [],
"total": 0
}